{% extends 'configuration/basic_settings/basic_settings_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/wms/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/wms/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_basic_settings_wms_edit', {'id': wmsLayer.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">WMS-Layer, <i>{{ wmsLayer.getTitle() }}</i> löschen</span>
        {{ form_widget(wmsLayerDeleteForm.delete, {'label': 'LÖSCHEN', 'id': wmsLayerDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Der WMS-Layer &raquo;{{ wmsLayer.getTitle() }}&laquo; wird für alle Nutzer:innen der Plattform gelöscht.
            </h1>
            <p>
                Um den WMS-Layer endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">layer_{{ wmsLayer.getId() }}</span>
            </p>
            {{ form_start(wmsLayerDeleteForm, {'attr': {'id': wmsLayerDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/basic_settings/wms/wms_layer_delete_form.html.twig' with {'form': wmsLayerDeleteForm} only %}
            {{ form_row(wmsLayerDeleteForm._token) }}
            {{ form_end(wmsLayerDeleteForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
